<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <script src="https://cdn.jsdelivr.net/npm/vue/dist/vue.js"></script>
</head>
<body>
    <div id="app">
        <p>{{message}}</p>
        <butten @click="changeMessage">Click</butten>
        <p>{{updated}}</p>
    </div>

    <script>
        new Vue({
            el: "#app",
            data: {
                message: "너니?",
                updated: "아니",
            },
            methods: {
                changeMessage() {
                    this.message="그래";
                    console.log("change");
                },
            },
            watch: {
                // message의 변화를 감지한다.
                message(newVal, oldVal) {
                    console.log(newVal, oldVal)
                }
            }
        });
    </script>
</body>
</html>